[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.PositionDockRect

Get the DockRect for an drop.

## Declaration

Source position: controls.pp line 1142

`protected procedure TControl.PositionDockRect(`
`DragDockObject: TDragDockObject`
`); virtual;`

## Description

Either calls the DockManager.PositionDockRect of the target site, or DragDockObject.AdjustDockRect after moving the undocked control rectangle to the DragPos. AdjustDockRect takes the hotspot of the DockRect into account.

## See also

TDragDockObject.AdjustDockRect |  | Adjust the DockRect relative to the dragging hotspot (DockOffset).

The latest version of this document can be found at lazarus-ccr.sourceforge.net.